var cpfFormat = "___.___.___-__",
  telFormat = "(__) _____-____",
  cpfField = $("[id*=Cpf]"),
  messageField = $("[id*=Mensagem]"),
  telField = $("[id*=Tel]");

function ShowPopup(e, l) {
  $("#MyPopup .modal-title").html(e),
    $("#MyPopup .modal-body").html(l),
    $("#MyPopup").modal("show"),
    $("#MyPopup .modal-body").append(
      "<br/>Nosso time entrar&aacute; em contato o mais breve poss&iacute;vel."
    );
}

function SumCpf(e) {
  if ("00000000000" === (e = e.replace(/\.|\-/g, ""))) return !1;
  for (var l, r = 0, t = 0; t <= 9; t++) r += parseInt(e[t]) * (11 - t);
  return (
    (10 == (l = (10 * r) % 11) || 11 == l) && (l = 0),
    l == parseInt(e.substring(10, 11))
  );
}

function ValidateCpf() {
  var e = $("[id*=Cpf]").val().trim();
  if ("" == e || e == cpfFormat || null == e)
    return cpfField.addClass("error"), !1;
  var l = /[^\d\.\-]/g.test(e),
    r = SumCpf(e);
  return l || !r
    ? (cpfField.addClass("error"), !1)
    : (cpfField.removeClass("error"), !0);
}

function ValidateTel() {
  var e = telField.val().trim(),
    l = !0,
    r = !/[^\d\(\)\-\s]/g.test(e);
  return "" == e || null == e || e.length < 8
    ? ((l = !1), telField.addClass("error"), !1)
    : (telField.removeClass("error"), (!!r && !!l) || void 0);
}

function ValidateMessageField() {
  var e = messageField.val().trim();
  return "" === e || 0 === e.length || null === e
    ? (messageField.addClass("error"), !1)
    : (messageField.removeClass("error"), !0);
}

function ValidateSelects() {
    var isValid = true, ready = false;

    // verifica se cada um dos campos é valido para que não haja
    // necessidade de uma verificação por click no botão
    if(!ValidateNome()) { isValid = false; }
    if(!ValidateEmail()) { isValid = false; }
    if(!ValidateCpf()) { isValid = false; }
    if(!ValidateAssunto()) { isValid = false; }
    if(!ValidateMessageField()) { isValid = false; }
    if(!ValidateTel()) { isValid = false; }
    
    var recaptchaResponse = grecaptcha.getResponse();
    
    if (recaptchaResponse.length === 0){
        $('.g-recaptcha').addClass("recaptcha-error")
        isValid = false;
    }else{
        $('#captchaValue').val(recaptchaResponse);
    }
    
    if (isValid) {
        hideAllFields();
        removeAtributes();
        $('.g-recaptcha').removeClass("recaptcha-error")
        return true;
    }
    return false;
}



function selectOption() {
  var e = $(".assunto-container .selected").text();
  $("[id*=AssuntoSelect]").val(e);
}

function hideAllFields() {
  $("#MsgErrorNome").hide(),
    $("#MsgErrorEmail").hide(),
    $("#errorAssunto").hide(),
    selectOption();
}

function removeAtributes() {
  $("[id*=Nome]").removeClass("error"),
    $("[id*=Email]").removeClass("error"),
    $(".selectric-wrapper .selectric.error-select").removeClass("error-select");
}

function isEmailValid() {
  isEmail($("[id*=Email").val()) || $("[id*=Email]").addClass("error");
}

function isEmail(e) {
  return /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/.test(
    e
  );
}

function ValidateNome() {
  var e = $("[id*=Nome]").val();
  return void 0 === (e = e.trim()) || null === e || e.length <= 0 || "" === e
    ? ($("[id*=Nome]").addClass("error"), !1)
    : ($("[id*=Nome]").removeClass("error"), !0);
}

function ValidateEmail() {
  var e = $("[id*=Email]").val();
  return void 0 == e || null == e || e.length <= 0 || "" == e || !isEmail(e)
    ? ($("[id*=Email]").addClass("error"), !1)
    : (hideAllFields(), removeAtributes(), !0);
}

function ValidateAssunto() {
  return "Selecione" != $(".assunto-container .selected").text()
    ? ($(".selectric-wrapper .selectric.error-select").removeClass(
        "error-select"
      ),
      !0)
    : ($(".selectric-wrapper .selectric").addClass("error-select"), !1);
}
$(".selectric").selectric({
  nativeOnMobile: !1,
}),
  $(document).ready(function () {
    hideAllFields();
  }),
  cpfField.mask("000.000.000-00", {
    placeholder: cpfFormat,
  }),
  telField.mask("(00) 0000-0000", {
    placeholder: telFormat,
  }),
  telField.on("keypress", function () {
    telField.val().length >= telFormat.length - 1 &&
      telField.mask("(00) 00000-0000", {
        placeholder: telFormat,
      });
  }),
  telField.on("blur", function () {
    telField.val().length <= telFormat.length - 1 &&
      telField.mask("(00) 0000-0000", {
        placeholder: telFormat,
      });
  }),
  $("[id*=Email]").attr("type", "email"),
  cpfField.on("blur", ValidateCpf),
  telField.on("blur", ValidateTel),
  messageField.on("blur", ValidateMessageField);
